<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/02/xpath-functions" xmlns:xdt="http://www.w3.org/2005/02/xpath-datatypes" xmlns:ubc2-0="GlobalImportedBasicSchema" xmlns:uac2-0="GlobalImportedAggregateSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="uac2-0 ubc2-0 xsd fn xdt" >
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:for-each select="xsd:schema">
			<xs:schema xmlns:AIBS="LocalImportedBasicSchema" xmlns:AIAS="LocalImportedAggregateSchema" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="SomeDocument">
				<xsl:attribute name="targetNamespace"><xsl:value-of select="@targetNamespace"/></xsl:attribute>
				<xsl:attribute name="elementFormDefault"><xsl:value-of select="@elementFormDefault"/></xsl:attribute>
				<xsl:attribute name="attributeFormDefault"><xsl:value-of select="@attributeFormDefault"/></xsl:attribute>
				<xsl:attribute name="version"><xsl:value-of select="@version"/></xsl:attribute>
				<xs:import>
					<xsl:attribute name="namespace">LocalImportedAggregateSchema</xsl:attribute>
					<xsl:attribute name="schemaLocation">LocalImportedAggregateSchema.xsd</xsl:attribute>
				</xs:import>
				<xs:import>
					<xsl:attribute name="namespace">LocalImportedBasicSchema</xsl:attribute>
					<xsl:attribute name="schemaLocation">LocalImportedBasicSchema.xsd</xsl:attribute>
				</xs:import>
				<xsl:for-each select="xsd:element[1]">
					<xs:element>
						<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
						<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
					</xs:element>
				</xsl:for-each>
				<!-- xsd:element[>1] could be used (with XSLT 2.0 say) to contribute to the imported schema content -->
				<xsl:for-each select="xsd:complexType">
					<xs:complexType>
						<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
						<xs:sequence>
							<xsl:for-each select="xsd:sequence/xsd:element">
								<xs:element>
									<xsl:attribute name="name"><xsl:value-of select="@ref"/></xsl:attribute>
									<xsl:attribute name="type"><xsl:value-of select="concat('AIAS:', @ref, 'Type')"/></xsl:attribute>
									<xsl:attribute name="minOccurs"><xsl:value-of select="@minOccurs"/></xsl:attribute>
								</xs:element>
							</xsl:for-each>
						</xs:sequence>
					</xs:complexType>
				</xsl:for-each>
			</xs:schema>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
